#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/catfish/" )
if [ -n "$mco" ]; then
echo "Host catfish seems to be up already"
exit 1
fi

default=xterm
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting catfish.blackbox in screen"
screen -d -m -S  catfish.blackbox  linux  \
 ubd0=images/catfish,images/cow_image \
 eth0=daemon,fe:fd:0:0:3:ef,unix,network/sw7 \
mem=32M umid=catfish uml_dir=uml_dir/catfish  LD_ASSUME_KERNEL=2.4.1  &
elif [ "$type" = "xterm" ]; then
echo "Starting catfish in xterm"
xterm -bg black -fn fixed  -fg white \
-T catfish.blackbox -e  linux  \
 ubd0=images/catfish,images/cow_image \
 eth0=daemon,fe:fd:0:0:3:ef,unix,network/sw7 \
mem=32M umid=catfish uml_dir=uml_dir/catfish  LD_ASSUME_KERNEL=2.4.1  &
fi
