#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/diablo/" )
if [ -n "$mco" ]; then
echo "Host diablo seems to be up already"
exit 1
fi

default=screen
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting diablo.blackbox in screen"
screen -d -m -S  diablo.blackbox  linux  \
 ubd0=images/diablo,images/cow_image \
 eth2=daemon,fe:fd:0:0:16:7a,unix,network/sw4 \
 eth3=daemon,fe:fd:0:0:2a:23,unix,network/sw5 \
 eth1=daemon,fe:fd:0:0:7e:26,unix,network/sw2 \
 eth0=daemon,fe:fd:0:0:68:41,unix,network/sw1 \
mem=32M umid=diablo uml_dir=uml_dir/diablo  LD_ASSUME_KERNEL=2.4.1  &
elif [ "$type" = "xterm" ]; then
echo "Starting diablo in xterm"
xterm -bg black -fn fixed -fg lightgrey \
-T diablo.blackbox -e  linux  \
 ubd0=images/diablo,images/cow_image \
 eth2=daemon,fe:fd:0:0:16:7a,unix,network/sw4 \
 eth3=daemon,fe:fd:0:0:2a:23,unix,network/sw5 \
 eth1=daemon,fe:fd:0:0:7e:26,unix,network/sw2 \
 eth0=daemon,fe:fd:0:0:68:41,unix,network/sw1 \
mem=32M umid=diablo uml_dir=uml_dir/diablo  LD_ASSUME_KERNEL=2.4.1  &
fi
