#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/drdoom/" )
if [ -n "$mco" ]; then
echo "Host drdoom seems to be up already"
exit 1
fi

default=screen
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting drdoom.blackbox in screen"
screen -d -m -S  drdoom.blackbox  linux  \
 ubd0=images/drdoom,images/cow_image \
 eth2=daemon,fe:fd:0:0:2f:e1,unix,network/sw3 \
 eth1=daemon,fe:fd:0:0:9a:bb,unix,network/sw2 \
 eth0=daemon,fe:fd:0:0:48:46,unix,network/sw6 \
mem=32M umid=drdoom uml_dir=uml_dir/drdoom  LD_ASSUME_KERNEL=2.4.1  &
elif [ "$type" = "xterm" ]; then
echo "Starting drdoom in xterm"
xterm -bg black -fn fixed -fg lightgrey \
-T drdoom.blackbox -e  linux  \
 ubd0=images/drdoom,images/cow_image \
 eth2=daemon,fe:fd:0:0:2f:e1,unix,network/sw3 \
 eth1=daemon,fe:fd:0:0:9a:bb,unix,network/sw2 \
 eth0=daemon,fe:fd:0:0:48:46,unix,network/sw6 \
mem=32M umid=drdoom uml_dir=uml_dir/drdoom  LD_ASSUME_KERNEL=2.4.1  &
fi
