#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/kulangath/" )
if [ -n "$mco" ]; then
echo "Host kulangath seems to be up already"
exit 1
fi

default=screen
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting kulangath.blackbox in screen"
screen -d -m -S  kulangath.blackbox  linux  \
 ubd0=images/kulangath,images/cow_image \
 eth1=daemon,fe:fd:0:0:6d:18,unix,network/sw5 \
 eth0=daemon,fe:fd:0:0:e9:53,unix,network/sw7 \
mem=32M umid=kulangath uml_dir=uml_dir/kulangath  LD_ASSUME_KERNEL=2.4.1  &
elif [ "$type" = "xterm" ]; then
echo "Starting kulangath in xterm"
xterm -bg black -fn fixed -fg lightgrey \
-T kulangath.blackbox -e  linux  \
 ubd0=images/kulangath,images/cow_image \
 eth1=daemon,fe:fd:0:0:6d:18,unix,network/sw5 \
 eth0=daemon,fe:fd:0:0:e9:53,unix,network/sw7 \
mem=32M umid=kulangath uml_dir=uml_dir/kulangath  LD_ASSUME_KERNEL=2.4.1  &
fi
