#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/magneto/" )
if [ -n "$mco" ]; then
echo "Host magneto seems to be up already"
exit 1
fi

default=screen
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting magneto.blackbox in screen"
screen -d -m -S  magneto.blackbox  linux  \
 ubd0=images/magneto,images/cow_image \
 eth1=daemon,fe:fd:0:0:53:ef,unix,network/sw4 \
 eth0=daemon,fe:fd:0:0:e:60,unix,network/sw3 \
mem=32M umid=magneto uml_dir=uml_dir/magneto  LD_ASSUME_KERNEL=2.4.1  &
elif [ "$type" = "xterm" ]; then
echo "Starting magneto in xterm"
xterm -bg black -fn fixed -fg lightgrey \
-T magneto.blackbox -e  linux  \
 ubd0=images/magneto,images/cow_image \
 eth1=daemon,fe:fd:0:0:53:ef,unix,network/sw4 \
 eth0=daemon,fe:fd:0:0:e:60,unix,network/sw3 \
mem=32M umid=magneto uml_dir=uml_dir/magneto  LD_ASSUME_KERNEL=2.4.1  &
fi
