#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/starfish/" )
if [ -n "$mco" ]; then
echo "Host starfish seems to be up already"
exit 1
fi

default=xterm
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting starfish.blackbox in screen"
screen -d -m -S  starfish.blackbox  linux  \
 ubd0=images/starfish,images/cow_image \
 eth0=daemon,fe:fd:0:0:f7:42,unix,network/sw1 \
mem=32M umid=starfish uml_dir=uml_dir/starfish  LD_ASSUME_KERNEL=2.4.1  &
elif [ "$type" = "xterm" ]; then
echo "Starting starfish in xterm"
xterm -bg black -fn fixed  -fg red \
-T starfish.blackbox -e  linux  \
 ubd0=images/starfish,images/cow_image \
 eth0=daemon,fe:fd:0:0:f7:42,unix,network/sw1 \
mem=32M umid=starfish uml_dir=uml_dir/starfish  LD_ASSUME_KERNEL=2.4.1  &
fi
