#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/gbg-router/" )
if [ $mco ]; then
echo "Host gbg-router seems to be up already"
exit 1
fi

default=xterm
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting gbg-router.routing-lab in screen"
screen -d -m -S  gbg-router.routing-lab  linux  \
 ubd0=images/gbg-router,images/cow_image \
 eth2=daemon,fe:fd:0:0:75:88,unix,/tmp/ua-gbg-socket \
 eth1=daemon,fe:fd:0:0:95:30,unix,network/gbg-sthlm \
 eth0=daemon,fe:fd:0:0:f9:d7,unix,network/gbg \
ubd2=/home/knoppix/report \
mem=32M umid=gbg-router uml_dir=uml_dir/gbg-router  &
elif [ "$type" = "xterm" ]; then
echo "Starting gbg-router in xterm"
xterm -bg black -fn fixed -fg lightgrey \
-T gbg-router.routing-lab -e  linux  \
 ubd0=images/gbg-router,images/cow_image \
 eth2=daemon,fe:fd:0:0:75:88,unix,/tmp/ua-gbg-socket \
 eth1=daemon,fe:fd:0:0:95:30,unix,network/gbg-sthlm \
 eth0=daemon,fe:fd:0:0:f9:d7,unix,network/gbg \
ubd2=/home/knoppix/report \
mem=32M umid=gbg-router uml_dir=uml_dir/gbg-router  &
fi
