#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/gbg-workstation/" )
if [ $mco ]; then
echo "Host gbg-workstation seems to be up already"
exit 1
fi

default=xterm
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting gbg-workstation.routing-lab in screen"
screen -d -m -S  gbg-workstation.routing-lab  linux  \
 ubd0=images/gbg-workstation,images/cow_image \
 eth0=daemon,fe:fd:0:0:c6:d8,unix,network/gbg \
ubd2=/home/knoppix/report \
mem=32M umid=gbg-workstation uml_dir=uml_dir/gbg-workstation  &
elif [ "$type" = "xterm" ]; then
echo "Starting gbg-workstation in xterm"
xterm -bg black -fn fixed -fg lightgrey \
-T gbg-workstation.routing-lab -e  linux  \
 ubd0=images/gbg-workstation,images/cow_image \
 eth0=daemon,fe:fd:0:0:c6:d8,unix,network/gbg \
ubd2=/home/knoppix/report \
mem=32M umid=gbg-workstation uml_dir=uml_dir/gbg-workstation  &
fi
