#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/sthlm-router/" )
if [ $mco ]; then
echo "Host sthlm-router seems to be up already"
exit 1
fi

default=xterm
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting sthlm-router.routing-lab in screen"
screen -d -m -S  sthlm-router.routing-lab  linux  \
 ubd0=images/sthlm-router,images/cow_image \
 eth2=daemon,fe:fd:0:0:84:34,unix,/tmp/sthlm-ua-socket \
 eth3=daemon,fe:fd:0:0:47:e8,unix,network/sthlm-isp \
 eth1=daemon,fe:fd:0:0:55:95,unix,network/gbg-sthlm \
 eth0=daemon,fe:fd:0:0:c5:47,unix,network/sthlm \
ubd2=/home/knoppix/report \
mem=32M umid=sthlm-router uml_dir=uml_dir/sthlm-router  &
elif [ "$type" = "xterm" ]; then
echo "Starting sthlm-router in xterm"
xterm -bg black -fn fixed -fg lightgrey \
-T sthlm-router.routing-lab -e  linux  \
 ubd0=images/sthlm-router,images/cow_image \
 eth2=daemon,fe:fd:0:0:84:34,unix,/tmp/sthlm-ua-socket \
 eth3=daemon,fe:fd:0:0:47:e8,unix,network/sthlm-isp \
 eth1=daemon,fe:fd:0:0:55:95,unix,network/gbg-sthlm \
 eth0=daemon,fe:fd:0:0:c5:47,unix,network/sthlm \
ubd2=/home/knoppix/report \
mem=32M umid=sthlm-router uml_dir=uml_dir/sthlm-router  &
fi
