#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/sthlm-workstation/" )
if [ $mco ]; then
echo "Host sthlm-workstation seems to be up already"
exit 1
fi

default=xterm
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting sthlm-workstation.routing-lab in screen"
screen -d -m -S  sthlm-workstation.routing-lab  linux  \
 ubd0=images/sthlm-workstation,images/cow_image \
 eth0=daemon,fe:fd:0:0:a4:c9,unix,network/sthlm \
ubd2=/home/knoppix/report \
mem=32M umid=sthlm-workstation uml_dir=uml_dir/sthlm-workstation  &
elif [ "$type" = "xterm" ]; then
echo "Starting sthlm-workstation in xterm"
xterm -bg black -fn fixed -fg lightgrey \
-T sthlm-workstation.routing-lab -e  linux  \
 ubd0=images/sthlm-workstation,images/cow_image \
 eth0=daemon,fe:fd:0:0:a4:c9,unix,network/sthlm \
ubd2=/home/knoppix/report \
mem=32M umid=sthlm-workstation uml_dir=uml_dir/sthlm-workstation  &
fi
