#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/ua-router/" )
if [ $mco ]; then
echo "Host ua-router seems to be up already"
exit 1
fi

default=xterm
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting ua-router.routing-ua in screen"
screen -d -m -S  ua-router.routing-ua  linux  \
 ubd0=images/ua-router,images/cow_image \
 eth2=daemon,fe:fd:0:0:fa:c5,unix,/tmp/ua-gbg-socket \
 eth1=daemon,fe:fd:0:0:be:c4,unix,/tmp/sthlm-ua-socket \
 eth0=daemon,fe:fd:0:0:be:2f,unix,network/ua \
ubd2=/home/knoppix/report \
mem=32M umid=ua-router uml_dir=uml_dir/ua-router  &
elif [ "$type" = "xterm" ]; then
echo "Starting ua-router in xterm"
xterm -bg black -fn fixed -fg lightgrey \
-T ua-router.routing-ua -e  linux  \
 ubd0=images/ua-router,images/cow_image \
 eth2=daemon,fe:fd:0:0:fa:c5,unix,/tmp/ua-gbg-socket \
 eth1=daemon,fe:fd:0:0:be:c4,unix,/tmp/sthlm-ua-socket \
 eth0=daemon,fe:fd:0:0:be:2f,unix,network/ua \
ubd2=/home/knoppix/report \
mem=32M umid=ua-router uml_dir=uml_dir/ua-router  &
fi
