#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/ua-workstation/" )
if [ $mco ]; then
echo "Host ua-workstation seems to be up already"
exit 1
fi

default=xterm
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting ua-workstation.routing-ua in screen"
screen -d -m -S  ua-workstation.routing-ua  linux  \
 ubd0=images/ua-workstation,images/cow_image \
 eth0=daemon,fe:fd:0:0:46:5f,unix,network/ua \
ubd2=/home/knoppix/report \
mem=32M umid=ua-workstation uml_dir=uml_dir/ua-workstation  &
elif [ "$type" = "xterm" ]; then
echo "Starting ua-workstation in xterm"
xterm -bg black -fn fixed -fg lightgrey \
-T ua-workstation.routing-ua -e  linux  \
 ubd0=images/ua-workstation,images/cow_image \
 eth0=daemon,fe:fd:0:0:46:5f,unix,network/ua \
ubd2=/home/knoppix/report \
mem=32M umid=ua-workstation uml_dir=uml_dir/ua-workstation  &
fi
