#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/gateway/" )
if [ -n "$mco" ]; then
echo "Host gateway seems to be up already"
exit 1
fi

default=screen
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting gateway.snoop in screen"
screen -d -m -S  gateway.snoop  linux  \
 ubd0=images/gateway,images/cow_image \
 eth1=daemon,0:0:10:20:2:30,unix,network/sw1 \
 eth0=daemon,0:0:10:20:1:30,unix,network/sw2 \
mem=32M umid=gateway uml_dir=uml_dir/gateway  LD_ASSUME_KERNEL=2.4.1  &
elif [ "$type" = "xterm" ]; then
echo "Starting gateway in xterm"
xterm -bg black -fn fixed -fg lightgrey \
-T gateway.snoop -e  linux  \
 ubd0=images/gateway,images/cow_image \
 eth1=daemon,0:0:10:20:2:30,unix,network/sw1 \
 eth0=daemon,0:0:10:20:1:30,unix,network/sw2 \
mem=32M umid=gateway uml_dir=uml_dir/gateway  LD_ASSUME_KERNEL=2.4.1  &
fi
