#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/client/" )
if [ -n "$mco" ]; then
echo "Host client seems to be up already"
exit 1
fi

if [ $UID == 0 ]; then
TUN_DEVICE=tap0
TUN_ADDRESS=10.20.10.250
NETMASK=255.255.255.0
if ! /sbin/ifconfig $TUN_DEVICE &> /dev/null ; then
tunctl -t $TUN_DEVICE
/sbin/ifconfig $TUN_DEVICE $TUN_ADDRESS netmask $NETMASK up
fi
fi
default=xterm
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting client.snoop in screen"
screen -d -m -S  client.snoop  linux  \
 ubd0=images/client,images/cow_image \
 eth1=tuntap,tap0,0:0:10:20:10:1 \
 eth0=daemon,0:0:10:20:1:1,unix,network/sw2 \
mem=40M umid=client uml_dir=uml_dir/client  LD_ASSUME_KERNEL=2.4.1  &
elif [ "$type" = "xterm" ]; then
echo "Starting client in xterm"
xterm -bg black -fn fixed  -fg green \
-T client.snoop -e  linux  \
 ubd0=images/client,images/cow_image \
 eth1=tuntap,tap0,0:0:10:20:10:1 \
 eth0=daemon,0:0:10:20:1:1,unix,network/sw2 \
mem=40M umid=client uml_dir=uml_dir/client  LD_ASSUME_KERNEL=2.4.1  &
fi
