#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/nameserver/" )
if [ -n "$mco" ]; then
echo "Host nameserver seems to be up already"
exit 1
fi

default=screen
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting nameserver.snoop in screen"
screen -d -m -S  nameserver.snoop  linux  \
 ubd0=images/nameserver,images/cow_image \
 eth1=daemon,19:21:68:0:2:47,unix,network/sw1 \
 eth0=daemon,19:21:68:0:1:47,unix,network/sw0 \
mem=32M umid=nameserver uml_dir=uml_dir/nameserver  LD_ASSUME_KERNEL=2.4.1  &
elif [ "$type" = "xterm" ]; then
echo "Starting nameserver in xterm"
xterm -bg black -fn fixed -fg lightgrey \
-T nameserver.snoop -e  linux  \
 ubd0=images/nameserver,images/cow_image \
 eth1=daemon,19:21:68:0:2:47,unix,network/sw1 \
 eth0=daemon,19:21:68:0:1:47,unix,network/sw0 \
mem=32M umid=nameserver uml_dir=uml_dir/nameserver  LD_ASSUME_KERNEL=2.4.1  &
fi
