#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/webserver/" )
if [ -n "$mco" ]; then
echo "Host webserver seems to be up already"
exit 1
fi

if [ $UID == 0 ]; then
TUN_DEVICE=tap1
TUN_ADDRESS=10.20.11.250
NETMASK=255.255.255.0
if ! /sbin/ifconfig $TUN_DEVICE &> /dev/null ; then
tunctl -t $TUN_DEVICE
/sbin/ifconfig $TUN_DEVICE $TUN_ADDRESS netmask $NETMASK up
fi
fi
default=xterm
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting webserver.snoop in screen"
screen -d -m -S  webserver.snoop  linux  \
 ubd0=images/webserver,images/cow_image \
 eth1=tuntap,tap1,0:0:10:20:11:1 \
 eth0=daemon,0:0:10:20:2:1,unix,network/sw0 \
mem=32M umid=webserver uml_dir=uml_dir/webserver  LD_ASSUME_KERNEL=2.4.1  &
elif [ "$type" = "xterm" ]; then
echo "Starting webserver in xterm"
xterm -bg black -fn fixed  -fg red \
-T webserver.snoop -e  linux  \
 ubd0=images/webserver,images/cow_image \
 eth1=tuntap,tap1,0:0:10:20:11:1 \
 eth0=daemon,0:0:10:20:2:1,unix,network/sw0 \
mem=32M umid=webserver uml_dir=uml_dir/webserver  LD_ASSUME_KERNEL=2.4.1  &
fi
